Open CASCADE Technology  7.0.0
Public Member Functions

BRepPrim_GWedge Class Reference

A wedge is defined by : More...

#include <BRepPrim_GWedge.hxx>

Inheritance diagram for BRepPrim_GWedge:
Inheritance graph
[legend]

Public Member Functions

 BRepPrim_GWedge (const BRepPrim_Builder &B, const gp_Ax2 &Axes, const Standard_Real dx, const Standard_Real dy, const Standard_Real dz)
 Creates a GWedge algorithm. <Axes> is the axis system for the primitive. More...
 
 BRepPrim_GWedge (const BRepPrim_Builder &B, const gp_Ax2 &Axes, const Standard_Real dx, const Standard_Real dy, const Standard_Real dz, const Standard_Real ltx)
 Creates a GWedge primitive. <Axes> is the axis system for the primitive. More...
 
 BRepPrim_GWedge (const BRepPrim_Builder &B, const gp_Ax2 &Axes, const Standard_Real xmin, const Standard_Real ymin, const Standard_Real zmin, const Standard_Real z2min, const Standard_Real x2min, const Standard_Real xmax, const Standard_Real ymax, const Standard_Real zmax, const Standard_Real z2max, const Standard_Real x2max)
 Create a GWedge primitive. <Axes> is the axis system for the primitive. More...
 
gp_Ax2 Axes () const
 Returns the coordinates system from <me>. More...
 
Standard_Real GetXMin () const
 Returns Xmin value from <me>. More...
 
Standard_Real GetYMin () const
 Returns YMin value from <me>. More...
 
Standard_Real GetZMin () const
 Returns ZMin value from <me>. More...
 
Standard_Real GetZ2Min () const
 Returns Z2Min value from <me>. More...
 
Standard_Real GetX2Min () const
 Returns X2Min value from <me>. More...
 
Standard_Real GetXMax () const
 Returns XMax value from <me>. More...
 
Standard_Real GetYMax () const
 Returns YMax value from <me>. More...
 
Standard_Real GetZMax () const
 Returns ZMax value from <me>. More...
 
Standard_Real GetZ2Max () const
 Returns Z2Max value from <me>. More...
 
Standard_Real GetX2Max () const
 Returns X2Max value from <me>. More...
 
void Open (const BRepPrim_Direction d1)
 Opens <me> in <d1> direction. A face and its edges or vertices are said nonexistant. More...
 
void Close (const BRepPrim_Direction d1)
 Closes <me> in <d1> direction. A face and its edges or vertices are said existant. More...
 
Standard_Boolean IsInfinite (const BRepPrim_Direction d1) const
 Returns True if <me> is open in <d1> direction. More...
 
const TopoDS_ShellShell ()
 Returns the Shell containing the Faces of <me>. More...
 
Standard_Boolean HasFace (const BRepPrim_Direction d1) const
 Returns True if <me> has a Face in <d1> direction. More...
 
const TopoDS_FaceFace (const BRepPrim_Direction d1)
 Returns the Face of <me> located in <d1> direction. More...
 
gp_Pln Plane (const BRepPrim_Direction d1)
 Returns the plane of the Face of <me> located in <d1> direction. More...
 
Standard_Boolean HasWire (const BRepPrim_Direction d1) const
 Returns True if <me> has a Wire in <d1> direction. More...
 
const TopoDS_WireWire (const BRepPrim_Direction d1)
 Returns the Wire of <me> located in <d1> direction. More...
 
Standard_Boolean HasEdge (const BRepPrim_Direction d1, const BRepPrim_Direction d2) const
 Returns True if <me> has an Edge in <d1><d2> direction. More...
 
const TopoDS_EdgeEdge (const BRepPrim_Direction d1, const BRepPrim_Direction d2)
 Returns the Edge of <me> located in <d1><d2> direction. More...
 
gp_Lin Line (const BRepPrim_Direction d1, const BRepPrim_Direction d2)
 Returns the line of the Edge of <me> located in <d1><d2> direction. More...
 
Standard_Boolean HasVertex (const BRepPrim_Direction d1, const BRepPrim_Direction d2, const BRepPrim_Direction d3) const
 Returns True if <me> has a Vertex in <d1><d2><d3> direction. More...
 
const TopoDS_VertexVertex (const BRepPrim_Direction d1, const BRepPrim_Direction d2, const BRepPrim_Direction d3)
 Returns the Vertex of <me> located in <d1><d2><d3> direction. More...
 
gp_Pnt Point (const BRepPrim_Direction d1, const BRepPrim_Direction d2, const BRepPrim_Direction d3)
 Returns the point of the Vertex of <me> located in <d1><d2><d3> direction. More...
 

Detailed Description

A wedge is defined by :

Axes : an Axis2 (coordinate system)

YMin, YMax the coordinates of the ymin and ymax rectangular faces parallel to the ZX plane (of the coordinate systems)

ZMin,ZMax,XMin,XMax the rectangular left (YMin) face parallel to the Z and X axes.

Z2Min,Z2Max,X2Min,X2Max the rectangular right (YMax) face parallel to the Z and X axes.

For a box Z2Min = ZMin, Z2Max = ZMax, X2Min = XMin, X2Max = XMax

The wedge can be open in the corresponding direction of its Boolean myInfinite

Constructor & Destructor Documentation

BRepPrim_GWedge::BRepPrim_GWedge ( const BRepPrim_Builder B,
const gp_Ax2 Axes,
const Standard_Real  dx,
const Standard_Real  dy,
const Standard_Real  dz 
)

Creates a GWedge algorithm. <Axes> is the axis system for the primitive.

XMin, YMin, ZMin are set to 0 XMax, YMax, ZMax are set to dx, dy, dz Z2Min = ZMin Z2Max = ZMax X2Min = XMin X2Max = XMax The result is a box dx,dy,dz should be positive

BRepPrim_GWedge::BRepPrim_GWedge ( const BRepPrim_Builder B,
const gp_Ax2 Axes,
const Standard_Real  dx,
const Standard_Real  dy,
const Standard_Real  dz,
const Standard_Real  ltx 
)

Creates a GWedge primitive. <Axes> is the axis system for the primitive.

XMin, YMin, ZMin are set to 0 XMax, YMax, ZMax are set to dx, dy, dz Z2Min = ZMin Z2Max = ZMax X2Min = ltx X2Max = ltx The result is a STEP right angular wedge dx,dy,dz should be positive ltx should not be negative

BRepPrim_GWedge::BRepPrim_GWedge ( const BRepPrim_Builder B,
const gp_Ax2 Axes,
const Standard_Real  xmin,
const Standard_Real  ymin,
const Standard_Real  zmin,
const Standard_Real  z2min,
const Standard_Real  x2min,
const Standard_Real  xmax,
const Standard_Real  ymax,
const Standard_Real  zmax,
const Standard_Real  z2max,
const Standard_Real  x2max 
)

Create a GWedge primitive. <Axes> is the axis system for the primitive.

all the fields are set to the corresponding value XYZMax - XYZMin should be positive ZX2Max - ZX2Min should not be negative

Member Function Documentation

gp_Ax2 BRepPrim_GWedge::Axes ( ) const

Returns the coordinates system from <me>.

void BRepPrim_GWedge::Close ( const BRepPrim_Direction  d1)

Closes <me> in <d1> direction. A face and its edges or vertices are said existant.

const TopoDS_Edge& BRepPrim_GWedge::Edge ( const BRepPrim_Direction  d1,
const BRepPrim_Direction  d2 
)

Returns the Edge of <me> located in <d1><d2> direction.

const TopoDS_Face& BRepPrim_GWedge::Face ( const BRepPrim_Direction  d1)

Returns the Face of <me> located in <d1> direction.

Standard_Real BRepPrim_GWedge::GetX2Max ( ) const

Returns X2Max value from <me>.

Standard_Real BRepPrim_GWedge::GetX2Min ( ) const

Returns X2Min value from <me>.

Standard_Real BRepPrim_GWedge::GetXMax ( ) const

Returns XMax value from <me>.

Standard_Real BRepPrim_GWedge::GetXMin ( ) const

Returns Xmin value from <me>.

Standard_Real BRepPrim_GWedge::GetYMax ( ) const

Returns YMax value from <me>.

Standard_Real BRepPrim_GWedge::GetYMin ( ) const

Returns YMin value from <me>.

Standard_Real BRepPrim_GWedge::GetZ2Max ( ) const

Returns Z2Max value from <me>.

Standard_Real BRepPrim_GWedge::GetZ2Min ( ) const

Returns Z2Min value from <me>.

Standard_Real BRepPrim_GWedge::GetZMax ( ) const

Returns ZMax value from <me>.

Standard_Real BRepPrim_GWedge::GetZMin ( ) const

Returns ZMin value from <me>.

Standard_Boolean BRepPrim_GWedge::HasEdge ( const BRepPrim_Direction  d1,
const BRepPrim_Direction  d2 
) const

Returns True if <me> has an Edge in <d1><d2> direction.

Standard_Boolean BRepPrim_GWedge::HasFace ( const BRepPrim_Direction  d1) const

Returns True if <me> has a Face in <d1> direction.

Standard_Boolean BRepPrim_GWedge::HasVertex ( const BRepPrim_Direction  d1,
const BRepPrim_Direction  d2,
const BRepPrim_Direction  d3 
) const

Returns True if <me> has a Vertex in <d1><d2><d3> direction.

Standard_Boolean BRepPrim_GWedge::HasWire ( const BRepPrim_Direction  d1) const

Returns True if <me> has a Wire in <d1> direction.

Standard_Boolean BRepPrim_GWedge::IsInfinite ( const BRepPrim_Direction  d1) const

Returns True if <me> is open in <d1> direction.

gp_Lin BRepPrim_GWedge::Line ( const BRepPrim_Direction  d1,
const BRepPrim_Direction  d2 
)

Returns the line of the Edge of <me> located in <d1><d2> direction.

void BRepPrim_GWedge::Open ( const BRepPrim_Direction  d1)

Opens <me> in <d1> direction. A face and its edges or vertices are said nonexistant.

gp_Pln BRepPrim_GWedge::Plane ( const BRepPrim_Direction  d1)

Returns the plane of the Face of <me> located in <d1> direction.

gp_Pnt BRepPrim_GWedge::Point ( const BRepPrim_Direction  d1,
const BRepPrim_Direction  d2,
const BRepPrim_Direction  d3 
)

Returns the point of the Vertex of <me> located in <d1><d2><d3> direction.

const TopoDS_Shell& BRepPrim_GWedge::Shell ( )

Returns the Shell containing the Faces of <me>.

const TopoDS_Vertex& BRepPrim_GWedge::Vertex ( const BRepPrim_Direction  d1,
const BRepPrim_Direction  d2,
const BRepPrim_Direction  d3 
)

Returns the Vertex of <me> located in <d1><d2><d3> direction.

const TopoDS_Wire& BRepPrim_GWedge::Wire ( const BRepPrim_Direction  d1)

Returns the Wire of <me> located in <d1> direction.


The documentation for this class was generated from the following file: